# Instructions:
#
# Lines with comments are preceded by the hash symbol (#). The following lines assign
# values to variables. Some values are numerical and some are not. The numerical values
# are not enclosed in single quotes, the non-numerical entries are enclosed in
# single quotes ('like this'). All perl statements must end with a semicolon (;) and a
# comment may follow on the same line by placing the hash symbol (#) before the comment. 

# Do not change the following line:
package settings;

# You can enter different file names here or just use the defaults.

$inputFile     = 'quotes.csv';          # file to store html quote data for parsing
$outputFile    = 'quotes.txt';		# file to store quote data after parsing
$alertFile     = 'alerts.txt';          # data for alerts is written into this file
$emailAlerts   = 'emailalerts.txt'; 	# will contain the email alerts
$alphaAlerts   = 'alphaalerts.txt';	# will contain the alpha pager alerts
$numericAlerts = 'numericalerts.txt';	# will contain the numeric pager alerts
$alertsFile    = 'delayedalerts.txt';	# contains complete alerts info in comma separated format
$tickerFile    = 'tickers.txt';		# contains ticker,percentage pairs

# /// WAITING TIME \\\

$sleepTime     = 3600;       # time in seconds to wait between quote retrievals (3600 seconds per hour)

# /// PROXY CONFIGURATION \\\

# Enter domain and port information
# ONLY if you must go through a proxy server:

$proxy   = '';				# proxy server
$port    = '';				# proxy server port
$noProxy = '';				# local domain

# /// EMAIL ALERT SETUP \\\

# ---- If you use email alerts then configure email settings here ---- #

$primary     = 'you@youremailaddress.com'; # send alerts to this email address
$mailserver  = 'emailserver.com';	       # mail server
$fromAddress = 'you@somewhere.com';        # email address from which this is sent
$subject     = 'MarketAlert';	       	   # subject

# /// WEB-BASED ALPHA PAGER SETUP \\\

# ---- If you use alpha pager alerts then configure your alpha pager settings here ---- #

# ---- replace 55555555 with your PIN ---- #

# SKYTEL Paging (remove the # at the beginning of the next line to use SkyTel, then replace 5555555 with your PIN

# $alphaURL         = 'http://www.skytel.com/Paging/page.cgi?pager=1&to=55555555&message=';

# PageMart Paging -- UNTESTED -- (remove the # at the beginning of the next line to use PageMart, then replace 5555555 with your PIN

# $alphaURL         = 'http://www2.pagemart.com/cgi-bin/rbox/pglpage-cgi?pin2=5555555555&PAGELAUNCHERID=1&message1=';

# AirTouch Paging -- UNTESTED -- (remove the # at the beginning of the next line to use PageMart, then replace 5555555 with your PIN

# $alphaURL         = 'http://www.airtouch.com/cgi-bin/genmail.pl?NPA=555&NXX=555&EXT=5555&MSG=';

# Sprint users may send email to PIN@sprintpaging.com, where PIN is your PIN. 
# Note, they have some funny rules regarding the number of numeric characters 
# in a page, see their website for more details.

$alphaMaxLength   = 200; # maximum length of each alpha page
$alphaMaxAttempts = 1;   # maximum number of times to try to send page


# /// WEB-BASED NUMERIC PAGER SETUP \\\

# ---- If you use numeric pager alerts then configure your numeric pager settings here ---- #

# ---- replace 55555555 with your PIN ---- #

# The following URL is for SkyTel pagers only. See the alpha pager section if you have a different service

$numericURL         = 'http://www.skytel.com/Paging/page.cgi?pager=1&to=5555555&message=';
$tickerSeparator    = '0';  # numeric character(s) separates ticker from price (should be single quoted)
$priceSeparator     = '00'; # numeric character(s) separates whole price from fraction (should be single quoted)
$decimalSeparator  = '0';   # numeric character(s) separates fraction numerator from denominator (should be single quoted)
$numericMaxAttempts = 1;    # maximum number of times to try to send numeric page
$useTouchToneCodes  = 0;    # 1 to use touchtone codes, 0 to use position in ticker list
$timeout            = 60;   # seconds to wait for reply from paging server

# /// ALERT SELECTIONS \\\

# ---- Choose which types of alerts to use here ---- #

# WARNING: BEFORE ACTIVATING PAGER ALERTS, DETERMINE THE POSSIBLE COSTS YOU MAY INCUR!!

$sendEmailAlerts = 1;	# Email:        1 if yes, 0 if no
$sendAlphaPage   = 0;	# Alpha Page:   1 if yes, 0 if no
$sendNumericPage = 0;	# Numeric Page: 1 if yes, 0 if no

# /// START/STOP TIME SETTINGS \\\

# Enter start and stop times here (hh:mm)

$startTime = '09:45';
$stopTime  = '16:00';

# Do not change the next line!
1
